import { Issue } from '../models';
import { SortOrder, Orderby, Scope, State } from '../models';
export declare namespace Issues {
    function getAll(state?: State, scope?: Scope, labels?: string[], milestoneTitle?: string, orderBy?: (Orderby.CREATED_AT | Orderby.UPDATED_AT), sort?: SortOrder, search?: string, milestoneIds?: string[], authoredBy?: string, assignedTo?: string): Promise<Issue[]>;
    function getAllOfProject(projectId: string, state?: State, scope?: Scope, labels?: string[], milestoneTitle?: string, sort?: SortOrder, search?: string, milestoneIds?: string[], authoredBy?: string, assignedTo?: string): Promise<Issue[]>;
    function getOneOfProject(projectId: string, issueId: string): Promise<Issue[]>;
    function create(projectId: string, title: string, description?: string, confidential?: boolean, assigneeIds?: string[], milestoneId?: string, labels?: string[], dueDate?: Date): Promise<Issue>;
}
