import { Milestone, Issue } from '../models';
import { State } from '../models';
export declare namespace ProjectMilestones {
    function getAll(projectId: string, state?: State, search?: string, milestoneIds?: string[]): Promise<Milestone[]>;
    function getOne(projectId: string, milestoneId: string): Promise<Milestone[]>;
    function create(projectId: string, title: string, description?: string, dueDate?: Date, startDate?: Date): Promise<Milestone>;
    function edit(projectId: string, milestoneId: string, title?: string, description?: string, dueDate?: Date, startDate?: Date, stateEvent?: string): Promise<Milestone>;
    function getIssues(projectId: string, milestoneId: string): Promise<Issue[]>;
}
